from pyspark.context import SparkContext
from pyspark.sql.session import SparkSession

if __name__ == '__main__':
    sc = SparkContext('local')
    spark = SparkSession(sc)

    log = spark.read.json('2015-01-01-0.json')
    # print(type(log))

    log.show()

    print(log.count())

    log.printSchema()

    push_events = log.filter(log.type == 'PushEvent')
    print(push_events.count())

    groups = log.groupBy(log.actor.login).count()
    groups.show(10)

    ordered = groups.orderBy(groups['count'].desc())
    ordered.show(10)